<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        
        Schema::table('periksa', function (Blueprint $table) {
            if (!Schema::hasColumn('periksa', 'asalpengirim')) {
                $table->string('asalpengirim', 150)->nullable()->after('order_id');
            }
        });
    }

    public function down(): void
    {
        Schema::table('periksa', function (Blueprint $table) {
            if (Schema::hasColumn('periksa', 'asalpengirim')) {
                $table->dropColumn('asalpengirim');
            }
        });
    }
};
